
Katello - Bug #4875

Applicability regeneration failure stops content view publish/promotion

03/26/2014 04:27 PM - Justin Sherrill

Status: Closed   

Priority: Urgent   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently we are hitting a bug in pulp https://bugzilla.redhat.com/show_bug.cgi?id=1080648 that causes applicability generation to

fail under certain situations.

We need to ignore errors coming back from pulp with regard to this error for now until that is resolved.

Associated revisions

Revision 993445df - 03/26/2014 09:24 PM - Justin Sherrill

Merge pull request #3896 from jlsherrill/appl_regen

fixes #4875 - ignore errors on applicability regeneration

Revision 452b3822 - 03/27/2014 01:16 AM - Justin Sherrill

fixes #4875 - ignore errors on applicability regeneration

due to pulp bz1080647 applicability generation may fail

for reasons beyond our control, so ignore any errors

Revision 1b568756 - 05/20/2014 01:30 PM - Justin Sherrill

fixes #5806 - better handling multiple pulp tasks spawned from one task

Refs #4875 - removing hack to ignore applicability generation failure

History

#1 - 03/26/2014 09:52 PM - Justin Sherrill

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:452b3822794ba5b2cc5c9c0dc0054e2fa15d6582.

#2 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:37 PM - Eric Helms

- translation missing: en.field_release set to 13
